.. _ref:

API Reference
=============

.. toctree::
   :maxdepth: 2

.. automodule:: adios
   :members: readvar, bpls

file class
----------

.. autoclass:: file
    :members:
    :exclude-members: __del__, __repr__

var class
---------

.. autoclass:: var
    :members:
    :exclude-members: __del__, __repr__

writer class
------------

.. autoclass:: writer
    :members:
    :exclude-members: __del__, __repr__

